---

- name: copy ../files/no-dns.conf in /etc/NetworkManager/conf.d/no-dns.conf
  copy:
     src:   no-dns.conf
     dest:  '/etc/NetworkManager/conf.d/no-dns.conf'
     owner:  'root'
     group:  'root'
     mode:  '0644'
     backup:  no
  notify: restart_networkmanager

- name: force restart networkmanager service
  meta: flush_handlers

- name: copy ../files/resolv.conf in /etc/resolv.conf
  copy:
     src:   resolv.conf
     dest:  '/etc/resolv.conf'
     owner:  'root'
     group:  'root'
     mode:  '0644'
     backup:  no
  notify: restart_networkmanager

- name: configure server_names = in /etc/dnscrypt-proxy/dnscrypt-proxy.toml
  replace:
    path: '/etc/dnscrypt-proxy/dnscrypt-proxy.toml'
    regexp:  "^server_names =.*"
    replace: "server_names = ['cloudflare','cloudflare-ipv6','opendns']"
  notify: restart_networkmanager

- name: force restart networkmanager service
  meta: flush_handlers
